/*    */ package tfw.TW;
/*    */ 
/*    */ import java.io.File;
/*    */ import java.io.IOException;
/*    */ import java.io.InputStream;
/*    */ import java.util.logging.Level;

/*    */ import org.bukkit.configuration.file.FileConfiguration;
/*    */ import org.bukkit.configuration.file.YamlConfiguration;
/*    */ import org.bukkit.plugin.java.JavaPlugin;
/*    */ 
/*    */ public class ConfigAccesor
/*    */ {
/*    */   private final String fileName;
/*    */   private final JavaPlugin plugin;
/*    */   private File configFile;
/*    */   private FileConfiguration fileConfiguration;
/*    */ 
/*    */   @SuppressWarnings("deprecation")
public ConfigAccesor(JavaPlugin plugin, String fileName)
/*    */   {
/* 21 */     if (plugin == null)
/* 22 */       throw new IllegalArgumentException("plugin cannot be null");
/* 23 */     if (!plugin.isInitialized())
/* 24 */       throw new IllegalArgumentException("plugin must be initialized");
/* 25 */     this.plugin = plugin;
/* 26 */     this.fileName = fileName;
/* 27 */     File dataFolder = plugin.getDataFolder();
/* 28 */     if (dataFolder == null)
/* 29 */       throw new IllegalStateException();
/* 30 */     this.configFile = new File(plugin.getDataFolder(), fileName);
/*    */   }
/*    */ 
/*    */   public void reloadConfig()
/*    */   {
/* 35 */     this.fileConfiguration = YamlConfiguration.loadConfiguration(this.configFile);
/*    */ 
/* 38 */     InputStream defConfigStream = this.plugin.getResource(this.fileName);
/* 39 */     if (defConfigStream != null) {
/* 40 */       @SuppressWarnings("deprecation")
YamlConfiguration defConfig = YamlConfiguration.loadConfiguration(defConfigStream);
/* 41 */       this.fileConfiguration.setDefaults(defConfig);
/*    */     }
/*    */   }
/*    */ 
/*    */   public FileConfiguration getConfig() {
/* 46 */     if (this.fileConfiguration == null) {
/* 47 */       reloadConfig();
/*    */     }
/* 49 */     return this.fileConfiguration;
/*    */   }
/*    */ 
/*    */   public void saveConfig() {
/* 53 */     if ((this.fileConfiguration == null) || (this.configFile == null))
/* 54 */       return;
/*    */     try
/*    */     {
/* 57 */       getConfig().save(this.configFile);
/*    */     } catch (IOException ex) {
/* 59 */       this.plugin.getLogger().log(Level.SEVERE, "Could not save config to " + this.configFile, ex);
/*    */     }
/*    */   }
/*    */ 
/*    */   public void saveDefaultConfig()
/*    */   {
/* 65 */     if (!this.configFile.exists())
/* 66 */       this.plugin.saveResource(this.fileName, false);
/*    */   }
/*    */ }

/* Location:           /Users/kendelchopp/Desktop/TNT Wars.jar
 * Qualified Name:     tfw.TW.ConfigAccesor
 * JD-Core Version:    0.6.2
 */